#!/bin/ksh

# select one of 87 93 93c 00 02
# VER=87

# PSL option
# -fpsl

# change WORK library
# LIB=mylib
# --work=LIB

# ghdl -a --std=$VER counter.vhdl

ghdl -a clock_gen.vhdl
ghdl -a register.vhdl
ghdl -a register_tb.vhdl
ghdl --elab-run reg_tb --vcd=reg_tb.vcd --stop-time=10ns

gtkwave reg_tb.vcd
